<template>
  <a
    ref="tooltip"
    href="#"
    :title="text"
    data-bs-toggle="tooltip">?</a>
</template>

<script>
import { Tooltip } from 'bootstrap'

export default {
  name: 'SearchResult',
  mounted () {
    /* eslint-disable no-new */
    new Tooltip(this.$refs.tooltip)
  },
  updated () {
    // recreate otherwise an old popover is sometimes shown
    new Tooltip(this.$refs.tooltip)
  },
  props: {
    text: {
      required: true,
      type: String
    }
  }
}
</script>

<style scoped>
a {
  color: white;
  background-color: grey;
  font-weight: bold;
  padding: 1px 6px;
  border-radius: 100%;
  margin: 1px 3px;
  font-size: small;
  vertical-align: text-top;
}
</style>
